package com.sourcefellows.patterns.factory;

public abstract class Training {

    abstract Location createLocation();

    void inviteAttendees() {

        Location location = createLocation();
        location.confirmReservation();

    }

}
